package ex22;

import java.awt.*;
import java.net.*;
import java.io.*;

public class EchoFrame extends Frame
{
	private Socket sock;
        private BufferedReader bf;
        private PrintWriter pw;

//*****************************************************************************
//Ignore code until next asterisks, all it dos is to set up a set of
//visual objects for the exercise
//*****************************************************************************

        public EchoFrame()
	{
	   SymWindow aSymWindow = new SymWindow();
           this.addWindowListener(aSymWindow);
	   SymAction lSymAction = new SymAction();
           goButton.addActionListener(lSymAction);
	   setLayout(null);
	   setSize(405,305);
	   setVisible(false);
	   goButton.setLabel("Go");
	   add(goButton);
	   goButton.setBackground(java.awt.Color.lightGray);
	   goButton.setBounds(36,36,72,24);
           add(messageField);
           messageField.setBounds(36,108,241,24);
	   add(replyField);
	   replyField.setBounds(36,168,241,24);
	   add(compField);
	   compField.setBounds(36,228,241,24);
	   messagelabel.setText("Message");
	   add(messagelabel);
	   messagelabel.setBounds(36,72,100,40);
	   replyLabel.setText("Reply");
	   add(replyLabel);
	   replyLabel.setBounds(36,144,48,24);
	   nameLabel.setText("Computer name");
	   add(nameLabel);
	   nameLabel.setBounds(36,192,100,40);
	   setTitle("AWT Application");
	}

	public EchoFrame(String title)
	{
	   this();
	   setTitle(title);
	}

	static public void main(String args[])
	{
	   try
	      {
              //Create a new instance of our application's frame, and make it visible.
              (new EchoFrame()).setVisible(true);
              }
	   catch (Throwable t)
	   {
	      System.err.println(t);
	      t.printStackTrace();
	      //Ensure the application exits with an error condition.
	      System.exit(1);
	   }
	}

	public void addNotify()
	{
	   // Record the size of the window prior to calling parents addNotify.
	   Dimension d = getSize();
	   super.addNotify();
	   if (fComponentsAdjusted)
	      return;
	   // Adjust components according to the insets
	   setSize(getInsets().left + getInsets().right + d.width, getInsets().top + getInsets().bottom + d.height);
	   Component components[] = getComponents();
	   for (int i = 0; i < components.length; i++)
	   {
              Point p = components[i].getLocation();
	      p.translate(getInsets().left, getInsets().top);
              components[i].setLocation(p);
	   }
          fComponentsAdjusted = true;
	}

	// Used for addNotify check.
	boolean fComponentsAdjusted = false;

	java.awt.Button goButton = new java.awt.Button();
	java.awt.TextField messageField = new java.awt.TextField();
	java.awt.TextField replyField = new java.awt.TextField();
	java.awt.TextField compField = new java.awt.TextField();
	java.awt.Label messagelabel = new java.awt.Label();
	java.awt.Label replyLabel = new java.awt.Label();
	java.awt.Label nameLabel = new java.awt.Label();

	class SymWindow extends java.awt.event.WindowAdapter
	{
	 public void windowClosing(java.awt.event.WindowEvent event)
	 {
	   Object object = event.getSource();
	   if (object == EchoFrame.this)
              Frame1_WindowClosing(event);
          }
	}

	void Frame1_WindowClosing(java.awt.event.WindowEvent event)
	{
		Frame1_WindowClosing_Interaction1(event);
	}


	void Frame1_WindowClosing_Interaction1(java.awt.event.WindowEvent event)
	{
           try {
             System.exit(0);
            } catch (Exception e) {
         }
	}


class SymAction implements java.awt.event.ActionListener
{
public void actionPerformed(java.awt.event.ActionEvent event)
{
   Object object = event.getSource();
   if (object == goButton)
      goButton_ActionPerformed(event);
}
}

//*****************************************************************************
//End of ignored section
//*****************************************************************************


        void goButton_ActionPerformed(java.awt.event.ActionEvent event)
	{
        try
        {
        //Solution to exercise goes here
        }
        catch(Exception ex){
         System.out.println("Problem with connection"+ex);}
	}

}