package botclient;

import java.io.*;
import java.net.*;


public class BotClient {

  public BotClient()
  {
  try
  {
     //Set up all the connections
     System.out.println("...Setting up socket");
     Socket s = new Socket("127.0.0.1", 1099);
     System.out.println("...Setting up streams");
     //Set up object streams to send and receive bot
     OutputStream oStream = s.getOutputStream();
     InputStream iStream = s.getInputStream();
     ObjectOutputStream objOStream = new ObjectOutputStream(oStream);
     ObjectInputStream objIStream = new ObjectInputStream(iStream);
     //Create the bot
     Bot sentBot = new Bot();
     //Set the query argument
     sentBot.setQuery("John");
     System.out.println("...Sending bot");
     //Send the bot
     objOStream.writeObject(sentBot);
     //Read the bot back
     sentBot = (Bot)objIStream.readObject();
     System.out.println("Query answer is "+sentBot.getAnswerToQuery());
  }
  catch(Exception e) {System.out.println("Problem setting up client"+e);}

  }
}