package linkmaintenance;

import java.net.URL;


//Business object for links

class Link
{
private URL linkAddress;            //Address of link
private String textDescription;     //Textual description of link
private int noOfDeadReferences;     //Number of times link has been detected dead
private String lastEmailButOneSent;   //When previous email sent
private String lastEmail;             //When last email sent
private String emailAddress;        //Address of link customer

// Constructor
public Link(URL linkAddress, String textDescription,
            String emailAddress)
{
   this.linkAddress=linkAddress;
   this.textDescription=textDescription;
   this.emailAddress = emailAddress;
   lastEmail="  ";                      //No emails sent yet
   lastEmailButOneSent="  ";
   noOfDeadReferences=0;
}

// Get and set methods
public URL getLinkAddress()
{
   return linkAddress;
}

public void setlinkAddress(URL linkAddress)
{
   this.linkAddress=linkAddress;
}

public String getTextDescription()
{
   return textDescription;
}

public void setTextDescription(String textDescription)
{
   this.textDescription=textDescription;
}

public int getNoOfDeadReferences()
{
   return noOfDeadReferences;
}

public void setNoOfDeadReferences(int noOfDeadReferences)
{
   this.noOfDeadReferences=noOfDeadReferences;
}

public String getLastEmailButOneSent()
{
   return lastEmailButOneSent;
}

public void setLastEmailButOneSent
                      (String lastEmailButOneSent)
{
   this.lastEmailButOneSent = lastEmailButOneSent;
}

public String getLastEmail()
{
    return lastEmail;
}

public void setLastEmail(String lastEmail)
{
   this.lastEmail = lastEmail;
}

public String getEmailAddress()
{
   return emailAddress;
}

public void setEmailAddress(String emailAddress)
{
   this.emailAddress=emailAddress;
}

//Other methods
public void incrementDeadReferences()
{
   noOfDeadReferences++;
}

}

