package ex23client;

import java.awt.*;
import java.io.*;
import java.net.*;

public class NameClient extends Frame
{
//Instance variables for net connection
static Socket ss = null;
static InputStream is =null;
static BufferedReader bf = null;
static OutputStream os = null;
static PrintWriter pw = null;

//*****************************************************************************
//Ignore the code up to the next line of asterisks
//it just sets up the visual objects for the exercise
//*****************************************************************************

public NameClient()
{
   SymWindow aSymWindow = new SymWindow();
   this.addWindowListener(aSymWindow);
   SymAction lSymAction = new SymAction();
   gobutton.addActionListener(lSymAction);
   setLayout(null);
   setSize(405,305);
   setVisible(false);
   gobutton.setLabel("Go");
   add(gobutton);
   gobutton.setBackground(java.awt.Color.lightGray);
   gobutton.setBounds(36,60,60,24);
   add(nameField);
   nameField.setBounds(36,144,243,27);
   add(addressField);
   addressField.setBounds(36,216,243,27);
   nameLabel.setText("Name");
   add(nameLabel);
   nameLabel.setBounds(36,120,60,24);
   addressLabel.setText("Address");
   add(addressLabel);
   addressLabel.setBounds(36,180,60,24);
   setTitle("Exercise 2.3 Client");
}

public NameClient(String title)
{
   this();
   setTitle(title);
}

static public void main(String args[])
{
    try
    {
       ss = new Socket(InetAddress.getLocalHost(),1024);
       // Set up the streams which the clients will access
       is = ss.getInputStream();
       bf = new BufferedReader(new InputStreamReader(is));
       os = ss.getOutputStream();
       pw = new PrintWriter(os,true);
     }
     catch(Exception e)
     {System.out.println("Trouble with initial connection"+e);}
   try
   {
      //Create a new instance of our application's frame, and make it visible.
      (new NameClient()).setVisible(true);
   }
catch (Throwable t)
{
   System.err.println(t);
   t.printStackTrace();
   //Ensure the application exits with an error condition.
   System.exit(1);
}
}

public void addNotify()
{
   // Record the size of the window prior to calling parents addNotify.
   Dimension d = getSize();
   super.addNotify();
   if (fComponentsAdjusted)
      return;
   // Adjust components according to the insets
   setSize(getInsets().left + getInsets().right + d.width,
        getInsets().top + getInsets().bottom + d.height);
   Component components[] = getComponents();
   for (int i = 0; i < components.length; i++)
   {
      Point p = components[i].getLocation();
      p.translate(getInsets().left, getInsets().top);
     components[i].setLocation(p);
   }
fComponentsAdjusted = true;
}

boolean fComponentsAdjusted = false;

java.awt.Button gobutton = new java.awt.Button();
java.awt.TextField nameField = new java.awt.TextField();
java.awt.TextField addressField = new java.awt.TextField();
java.awt.Label nameLabel = new java.awt.Label();
java.awt.Label addressLabel = new java.awt.Label();

class SymWindow extends java.awt.event.WindowAdapter
{
   public void windowClosing(java.awt.event.WindowEvent event)
   {
      Object object = event.getSource();
      if (object == NameClient.this)
         Frame1_WindowClosing(event);
   }
}

void Frame1_WindowClosing(java.awt.event.WindowEvent event)
{
   Frame1_WindowClosing_Interaction1(event);
}


void Frame1_WindowClosing_Interaction1(java.awt.event.WindowEvent event)
{
   try {
      // QuitDialog Create and show as modal
      System.exit(0);
   } catch (Exception e) {
   }
}


class SymAction implements java.awt.event.ActionListener
{
public void actionPerformed(java.awt.event.ActionEvent event)
{
   Object object = event.getSource();
   if (object == gobutton)
      gobutton_ActionPerformed(event);
}
}

//****************************************************************************
//End of ignored section
//****************************************************************************


void gobutton_ActionPerformed(java.awt.event.ActionEvent event)
{
   try
   {
      // Extract the string from the name text field and send to server

      // Get reply from server

      // Display reply

   }
   catch (Exception ex)
      {System.out.println("Problem communicating with name server"+ex);}
}

}

