package adaptableclient;

import protocolobject.*;

import java.net.*;
import java.io.*;

public class ClientSolution {

  public ClientSolution()
  {
  }

  //Simple client which sets up a ProtocolHolder object and sends it to a server.
  //The server executes the execute method within the object and returns the
  //result of the execution back as a string

  public static void main(String[] args)
  {
  try
  {
     System.out.println("***Solution being executed***");
     Socket ss = new Socket("127.0.0.1", 2001);
     ObjectOutputStream oStream =
                new ObjectOutputStream(ss.getOutputStream());
                ProtocolHolder ph = null;
     System.out.println("...Stream set up");
     ph = new ProtocolHolder(new KeyReturner());
     oStream.writeObject(ph);
     BufferedReader bf = new BufferedReader
                         (new InputStreamReader(ss.getInputStream()));
     String reply = bf.readLine();
     System.out.println("Reply is "+ reply);
  }
  catch(Exception e)
     {System.out.println("Trouble setting up connection"+e);}
  }


}