package protocolobject;

import java.util.*;
import java.io.*;

//A class similar to NumberReturner. However this class implements
//the functionality of returning the keys of a hashtable as a
//with substrings seprated by asterisks


//Implements Serializable so objects can be sent across a network
public class KeyReturner extends ProtocolObject implements Serializable{

  public KeyReturner() {
  }

  public String execute(Hashtable hs)
  {
  String keyValues="";
  Enumeration num = hs.keys();
  while(num.hasMoreElements())
  {
     keyValues+= (String) num.nextElement()+"*";
  }
  return keyValues;
  }
}