package server;

import protocolobject.ProtocolObject;
import java.net.*;
import java.io.*;
import java.util.Hashtable;

import adaptableclient.ProtocolHolder;

public class Server {

  public Server() {
  }

  public static void main(String[] args)
  {
  Hashtable tester = new Hashtable();
  //Set up  simple database, normally this would be done
  //using something more sophisticated such as a relational database
  tester.put("Dave","d.f.robbins@talk21.com");
  tester.put("June","j.f.thomas@hotmail.com");
  tester.put("Diana","d.r.wilson@open.ac.uk");
  System.out.println("...Simple database set up");
  try
  {
     //Set up connections
     System.out.println("...Setting up socket");
     ServerSocket ss = new ServerSocket(2001);
     Socket s = ss.accept();
     PrintWriter pw = new PrintWriter(s.getOutputStream(), true);
     System.out.println("...Setting up object stream");
     //Set up an object stream that will receive an object
     ObjectInputStream ois = new ObjectInputStream(s.getInputStream());
     ProtocolHolder ph = (ProtocolHolder) ois.readObject();
     System.out.println("...Object read");
     //Execute the object
     String result = ph.executeProtocolObject(tester);
     //Send the result of the execution back to the client
     pw.println(result);
     System.out.println("...Server terminated");
  }
  catch(Exception e){System.out.println("...Problem with server"+e);}

  }

}