package hubandspoke;

import java.net.*;
import java.io.*;
import java.awt.*;


public class ClientThread extends Thread{

//Needs text area to send messages to user and buffered reader fo read
//lines from network conenction
private TextArea messages;
private BufferedReader bfi;

  public ClientThread(TextArea messages, BufferedReader bfi)
  {
  this.messages=messages;
  this.bfi = bfi;
  }

  public void run()
  {
   try
     {
        //Loop until the server kills the client by issuing a KILL string
        //Each loop reads any broadcast messages from the server and displays
        //them
        while(true)
        {
           //Read line from server
           String readLine = bfi.readLine();
           if(readLine.equals("KILL"))
              break;
           //The server has not killed the client, display message
           messages.setText("");
           messages.setText(readLine);
         }
      }catch(Exception e)
         {System.out.println("Problem with connection"+e);}
  }
}