package ex54;

import java.util.Enumeration;
import java.sql.*;

public class WarehouseSolution {

private Connection cn;

public WarehouseSolution()
{
   //Constructor sets up connection to the database
   String jdbcDriver = "sun.jdbc.odbc.JdbcOdbcDriver";
   String protocolHeader = "jdbc:odbc:";
   String dbName = "ProductDetails";
   String user = "Darrel";
   String password = "";
   try
   {
      // Load in the driver
      Class.forName(jdbcDriver);
      System.out.println("...Driver loaded");
      // Get a connection
      cn =
         DriverManager.getConnection(protocolHeader+dbName, user, password);
      System.out.println("...Connection established");
   }
   catch(Exception ex){System.out.println("Problem opening the database"+ex);}
}

public ProductLevel findProduct(String productName)
{
   ProductLevel retProdLevel=null;
   try
   {
   Statement st = cn.createStatement();
   //Find the product level object which has productName
   String singleProductQuery =
           "Select * from ProductDetails WHERE ProductName = '"+productName+"'";
   ResultSet rs = st.executeQuery(singleProductQuery);
   //Only one row returned no need for looping
   rs.next();
   retProdLevel =
      new ProductLevel(rs.getString(1), rs.getInt(2));
   rs.close();
   }
   catch(Exception ex)
      {System.out.println("Problem executing query"+ex);}
   return retProdLevel;
}

public Enumeration findProducts()
{
   //Returns an enumeration to the rows of the table
   return new ProductEnumeration(cn);
}
}