package ex53;


import java.sql.*;

public class DBQuery
{

public static void main(String[] args)
{
   String jdbcDriver = "sun.jdbc.odbc.JdbcOdbcDriver";
   String protocolHeader = "jdbc:odbc:";
   String dbName = "products";
   String user = "Darrel";
   String password = "";
   System.out.println("***Student answer being executed***");
   try
   {
      // Load in the driver
      Class.forName(jdbcDriver);
      System.out.println("...Driver loaded");
      // Establish a connection
      Connection cn =
         DriverManager.getConnection(protocolHeader+dbName, user, password);
      System.out.println("...Connection established");
      // Get the database metadata
      DatabaseMetaData dbmd = cn.getMetaData();
      System.out.println();
      // Display product name

      // Display the name of the database product which created the database
      // Code to go here

      // Display version name
      System.out.println ("The version of the product is "+
                                       dbmd.getDatabaseProductVersion());

      // Check if the database supports stored procedures
      // Code to go here

      // Display a message on System.out which states whether stored
      // procedures are supported
      // Code to go here

      //Display maximum length of a row in bytes
      System.out.println ("The maximum length of a row is "+
                                             dbmd.getMaxRowSize()+" bytes");
   }
   catch (Exception e)
      {System.out.println("Problem accessing the database "+e);}
}

}