package Eserver;

import java.sql.*;

public class Database
{

private static Connection cn;
private static String userName;
private static String password;
private static String driverName;
private static String protocol;
private static String dbName;

public Database
 (String userName, String password, String driverName, String protocol, String dbName)
{
   this.userName = userName;
   this.password = password;
   this.driverName = driverName;
   this.protocol = protocol;
   this.dbName = dbName;
}

public static void establishConnection()throws ClassNotFoundException, SQLException
{
   // Load in the driver
   Class.forName(driverName);
   System.out.println("...Driver loaded");
   // Establish a connection
   cn =
      DriverManager.getConnection(protocol+dbName, userName, password);
}

public static Connection getConnection()
{
   // Return the connection to the database
   return cn;
}

}