package imagemap;

import java.awt.*;

public class Rectangle{

private int xLength, yLength, xCoordinate, yCoordinate;
private Color originalColour, passOverColour, drawColour;

public Rectangle
    (Color originalColour, Color passOverColour,int xCoordinate,
     int yCoordinate, int xLength, int yLength)
{
  this.xCoordinate = xCoordinate;
  this.yCoordinate = yCoordinate;
  this.xLength = xLength;
  this.yLength=yLength;
  this.originalColour= originalColour;
  this.passOverColour = passOverColour;
  drawColour = originalColour;
}

public boolean isIn(int xValue, int yValue)
{
   return xValue >=xCoordinate&& yValue >=yCoordinate &&
   xValue <=(xCoordinate+xLength)&& yValue <= (yCoordinate +yLength);
}

public Color getDrawColour()
{
   return drawColour;
}

public void setOriginalColour()
{
   drawColour = originalColour;
}

public void setPasssoverColour()
{
   drawColour = passOverColour;
}

public Color getOriginalColour()
{
   return originalColour;
}

public Color getPassOverColour()
{
   return passOverColour;
}

public int getXLength()
{
   return xLength;
  }

public int getYLength()
{
   return yLength;
}

public int getXCoordinate()
{
   return xCoordinate;
}

public int getYCoordinate()
{
   return yCoordinate;
}

}