package rmiclient;

import java.rmi.*;

import nameserver.*;

public class RMIClientSolution {

  public RMIClientSolution(){
  }

  public static void main (String[] args) throws Exception
  {
  //Set up RMI name
  String uRL = "rmi://localhost/Lookup";
  //Get reference to remote object
  LookupService look = (LookupService) Naming.lookup(uRL);
  //Looking for computer with IP Address 123.3.2.1
  String queryString = "123.3.2.1";
  System.out.print("The name of the computer with address "+ queryString);
  System.out.println(" is " + look.getName(queryString));
  }

}