package factoryclient;

import java.rmi.*;
import objectfactory.*;

public class FactoryClientSolution {

public FactoryClientSolution()
{
}

public static void main(String[] args) throws Exception
{
   StringObject s0 = null, s1=null;
   //Set up RMI Name
   System.out.println("***Solution being executed***");
   String uRL = "rmi://localhost/Factory";
   //Get reference to factory object
   RMIFactory fact = (RMIFactory) Naming.lookup(uRL);
   //Create two objects dynamically
   s0 = fact.createObject();
   s1 = fact.createObject();
   //Interrogate them
   System.out.println("The identity of the first object is "+s0.getValue());
   System.out.println("The identity of the second object is "+s1.getValue());
}

}