package botclient;

import java.util.*;
import java.io.*;

//Class which implements bot

public class Bot implements Serializable {  //Must be Serializable to send it

  private int answerToQuery;
  private String query;

  public Bot() {
  }

  public void setAnswerToQuery(int answerToQuery)
  {
     this.answerToQuery = answerToQuery;
  }

  public int getAnswerToQuery()
  {
     return answerToQuery;
  }

  //One particular query, find all user accesses, not used in this exercise
  public int findAllUserAccesses(Vector v)
  {
     return v.size();
  }

  public void setQuery(String query)
  {
    this.query = query;
  }

  public String getQuery()
  {
    return query;
  }

  //Another query find the total number of accesses made by the
  //user who is the second argument to the method
  public int findUserAccesses(Vector v, String userName)
    {
       int count =0;
       Enumeration e = v.elements();
       while(e.hasMoreElements())
       {
          String name = (String) e.nextElement();
          if(name.equals(userName))
             count++;
       }
       return count;
    }

}