package ex32;

import java.net.*;
import java.io.*;

public class MailClientSolution
{
    public static void main(String[] args)
    {
        // Set up mail account, password and server details
        String userId = "place your user name here";
        String password = "and your password here";
        String pop3MailServer = "Place the name of the pop server here";
        String reply = "";
        System.out.println("...setting up sockets");
        try
        {
           // Establish the socket
           Socket popSocket = new Socket(pop3MailServer, 110);
           System.out.println("...setting up streams");
           OutputStream os = popSocket.getOutputStream();
           InputStream is = popSocket.getInputStream();
           PrintWriter pw = new PrintWriter(os, true);
           BufferedReader  bf = new BufferedReader(new InputStreamReader(is));
           // System should reply with some header identifying itself
           // read it and display it
           reply = bf.readLine();
           System.out.println("Reply from POP server is:      "+reply);
           // Inform the pop server who you are, read its response and display it
           pw.println("USER "+userId);
           reply = bf.readLine();
           System.out.println("Reply from POP server is:      "+reply);
           // Inform the POP server what your password is, read the response and display it
           pw.println("PASS " + password);
           reply = bf.readLine();
           System.out.println("Reply from POP server is:      "+reply);
           // Normally a pop reply will be prefixed with + if everything is going Ok
           // Check this
           if(reply.charAt(0) != '+')
           {
              System.out.println("Problem with password");
           }
           else
           {
              // Send STAT command asking for the number of emails in your box
              // Read the reply and display it
              pw.println("STAT");
              reply = bf.readLine();
              System.out.println("Reply from POP server is:      "+reply);
            }
        }catch(Exception e)
           {System.out.println("...Problem establishing a POP socket"+e);}

    }
}