package adaptableclient;


import protocolobject.*;

import java.net.*;
import java.io.*;

public class Client {

  public Client()
  {
  }

  //Simple client which sets up a ProtocolHolder object and sends it to a server.
  //The server executes the execute method within the object and returns the
  //result of the execution back as a string

  public static void main(String[] args)
  {
  try
  {
     System.out.println("***Student solution being executed***");
     Socket ss = new Socket("127.0.0.1", 2001);
     ObjectOutputStream oStream =
                new ObjectOutputStream(ss.getOutputStream());
     System.out.println("...Stream set up");
     ProtocolHolder ph=null;
     //*************************************************************************
     // Set up a ProtocolHolder object ph which embeds the functionality of
     // extracting the keys of the hash table at the server, code goes below

     //*************************************************************************
     oStream.writeObject(ph);
     BufferedReader bf = new BufferedReader
                             (new InputStreamReader(ss.getInputStream()));
     //*************************************************************************
     // Read the reply from the server and display it, code goes below

     //*************************************************************************
  }
  catch(Exception e)
     {System.out.println("Trouble setting up connection"+e);}
  }


}