package ex54;

import java.util.Enumeration;
import java.sql.*;

public class ProductEnumeration implements Enumeration{

Connection connect;
ResultSet resSet;
boolean moreOfResultSet;

public ProductEnumeration(Connection connect)
{
   try
   {
      //Set up all the connections
      this.connect = connect;
      Statement state = connect.createStatement();
      //Query extracts all the rows from the table
      String allQuery = "Select * from ProductDetails";
      //Execute the query
      resSet = state.executeQuery(allQuery);
      moreOfResultSet=true;
   }
   catch(Exception ex)
      {System.out.println("Problem accessing database"+ex);}
}

public Object nextElement()
{
   //Returns the next row from the result set
   ProductLevel returnValue=null;
   try
   {
      returnValue = new ProductLevel(resSet.getString(1), resSet.getInt(2));
   }
   catch(Exception ex1)
      {System.out.println("Problem accessing database"+ex1);}
   return returnValue;
}

public boolean hasMoreElements()
{
   //Returns true if the last element in the result set has been processed
   boolean endOfTable=false;
   try
   {
      endOfTable = resSet.next();
   }
   catch(Exception ex2)
      {System.out.println("Problem accessing database"+ex2);}
   return endOfTable;
}

}