package ex51;

import java.sql.*;

public class QuerySolution
{

public static void main(String[] args)
{
   //Sets up all the parameters for connections etc
   String jdbcDriver = "sun.jdbc.odbc.JdbcOdbcDriver";
   String protocolHeader = "jdbc:odbc:";
   String dbName = "products";
   String user = "Darrel";
   String password = "";
   System.out.println("***Solution being executed***");
   try
   {
      // Load in the driver
      Class.forName(jdbcDriver);
      System.out.println("...Driver loaded");
      // Get a connection
      Connection cn =
          DriverManager.getConnection(protocolHeader+dbName, user, password);
      System.out.println("...Connection established");
      //Create a query
      Statement query = cn.createStatement();
      System.out.println("...Statement created");
      //
      //First query
      //
      String query1 = "select ProductName from StoreProducts";
      ResultSet rSet = query.executeQuery(query1);
      int count = 0;
      System.out.println();
      System.out.println("The product names in the database are");
      System.out.println();
      // Iterate around result set extracting out the product names
      while(rSet.next())
      {
         count++;
         System.out.println(rSet.getString("ProductName"));
      }
      System.out.println();
      System.out.println(count+" rows retrieved");
      //
      //Second query
      //
      String query2 = "select ProductName from StoreProducts WHERE Quantity = 0";
      rSet = query.executeQuery(query2);
      count =0;
      System.out.println();
      System.out.println("The product names for out of stock products are");
      // Iterate around result set extracing out the product names
      while(rSet.next())
      {
         System.out.println(rSet.getString("ProductName"));
         count++;
      }
      System.out.println();
      System.out.println(count+" rows retrieved");
      System.out.println();
   }
   catch (Exception e)
      {System.out.println("Problem accessing the database "+e);}
  }

}