import java.io.*;
import java.net.*;

public class WebAccessSolution {

public static void main(String[] args){
   int lineCount =0, charCount =0;
   try{
      String address = "www.open.ac.uk"; //You can put any address here, we have put the OU address
      System.out.println("...Trying to contact "+address);
      URL selectedURL = new URL (address);
      BufferedReader bf = new BufferedReader(
                (new InputStreamReader(selectedURL.openStream())));
      String lineRead="";
      // Loop reading a line from the Web page
      System.out.println("...Starting to read");
      while(true){
         //Read a line
         lineRead = bf.readLine();
         if(lineRead==null)// End of web page
            break;
         // Accumulate line count and character count
         lineCount++;
         charCount= charCount+lineRead.length();
      }
      System.out.println("Number of chars on Web page = "+charCount+ "\nNumber of lines on page = "+lineCount);
      System.out.println("...Processing terminated");
   }
   catch(MalformedURLException me){
      System.out.println("MAlformed URL given");
   }
   catch(IOException ie){
      System.out.println("Problems connecting ");
   }

}

}
