package servletcommercial;

import java.util.*;
import java.sql.*;

public class ProductCollection {

private Connection cn;
private String driverName;


public ProductCollection()
{
   //Sets up product database
   try
   {
      Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
      cn =
           DriverManager.getConnection("jdbc:odbc:Catalogue", "Darrel", "");
   }
   catch(Exception e){System.out.println("Problem setting up database"+e);};
}

public Enumeration getCollectionPrice(int price)
{
     //Returns an enumeration to products retrieved by a query
     //The query retrieves products over a certain price
     Vector extractedProducts=new Vector ();
     ResultSet rs;
     Statement query;
     try
     {
        //Execute query
        query = cn.createStatement();
        String queryString =
              "Select * from Products where Price > "+price;
        System.out.println(queryString);
        rs = query.executeQuery(queryString);
        //Loop around result set creating products and placing
        //them in a vector
        while(rs.next())
        {
          Product extractedProduct = new Product
                 (rs.getString(1), rs.getString(2), rs.getString(3),
                  rs.getString(4), rs.getInt(5));
          extractedProducts.add(extractedProduct);
        }
        rs.close();
     }
     catch (Exception e){System.out.println("Problem with query "+e);}
     return extractedProducts.elements();
}

public Enumeration getCollectionCategory(String category)
{
     //Implements the query processing associated with a query for
     //products in a certain category. An enumeration to these
     //products is returned
     Vector extractedProducts=new Vector ();
     ResultSet rs;
     Statement query;
     try
     {
        //Execute the query
        query = cn.createStatement();
        String queryString =
             "Select * from Products where Category ='"+ category+"'";
        System.out.println(queryString);
        rs = query.executeQuery(queryString);
        //Loop around the result set forming the products
        //and adding them to a vector
        while(rs.next())
        {
          Product extractedProduct = new Product
                 (rs.getString(1), rs.getString(2), rs.getString(3),
                  rs.getString(4), rs.getInt(5));
          extractedProducts.add(extractedProduct);
        }
        rs.close();
     }
     catch (Exception e){System.out.println("Problem with query"+e);}
     return extractedProducts.elements();
}

}