package graphicsxml;

import java.awt.*;
import java.awt.event.*;

//Basic frame that can be closed by clicking on top right x icon

public class DrawFrame extends Frame implements WindowListener{

private DrawCanvas dCanvas;

public DrawFrame(String title)
{
   //Place the canvas on the frame
   super(title);
   dCanvas = new DrawCanvas();
   add(dCanvas);
   this.addWindowListener(this);
  }

 public void addCircle(Circle c)
{
   //Add the circle c to the frame
   dCanvas.addCircle(c);
}

public void addLine(Line l)
{
   //Add the line to the frame
   dCanvas.addLine(l);
}

public void drawShapes()
{
   //Darw all the shapes on the frame
   dCanvas.drawShapes();
}

//******************************************************************************
//Ignore all the code from here, it just handles window events

public void windowDeactivated(WindowEvent we)
{

}

 public void windowActivated(WindowEvent we)
 {

 }

public void windowDeiconified(WindowEvent we)
{

}

public void windowIconified(WindowEvent we)
{

}

public void windowClosed(WindowEvent we)
{

}

public void windowClosing(WindowEvent we)
{
System.exit(0);
}

public void windowOpened(WindowEvent we)
{

}


}