package agentclient;

import java.rmi.*;

import agentserver.*;

public class AgentClient {

public AgentClient()
{
}

public static void main (String[] args)throws Exception
{
   //Set up RMI name
   String uRL = "rmi://localHost/AgentHandler";
   //Get reference to naming object
   AgentServer as = (AgentServer) Naming.lookup(uRL);
   TimeAgentImpl ta = new TimeAgentImpl();
   //TimeAgent returned so casting is needed
   ta = (TimeAgentImpl)as.executeAgent(ta);
   //Date at server displayed
   System.out.println("Date received = "+ ta.getDate());
}

}