package agentserver;

import java.rmi.*;
import java.rmi.server.*;


public class AgentServerImpl extends UnicastRemoteObject implements AgentServer{

public AgentServerImpl() throws RemoteException
{
}

public TimeAgent executeAgent(TimeAgent ta) throws RemoteException
{
   //Code for execution of agent, called remotely
   ta.execute();
   return ta;
}


public static void main(String args[])
{
   System.setSecurityManager(new RMISecurityManager());
   try
   {
      //Set up the remote object
      AgentServerImpl aimp= new AgentServerImpl();
      System.out.println("Remote object set up...");
      //Bind object to the registry
      Naming.rebind("AgentHandler", aimp);
      System.out.println("Object named...");
   }
   catch(Exception e)
      {System.out.println("Problem setting up agent server"+e);}
}


}